Bug 68291 - [test case] Implement CSS3/IE extension overflow-x and overflow-y
Summary: [test case] Implement CSS3/IE extension overflow-x and overflow-y
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml renderer (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-15 19:27 UTC by Martijn Klingens
Modified: 2006-11-13 16:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martijn Klingens 2003-11-15 19:27:42 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

As none of the existing open bug reports matches I'm opening a new one for this.

Test case on http://martijn.homeip.net/khtml/overflowtest.html.

KHTML/KJS CVS from today (the rest of kdelibs is slightly older)

1. overflow-y isn't supported at all. Didn't test overflow-x, but I suspect the same problem there. Normal overflow (without '-y' suffix) does work, though it exhibits the second problem:

2. The body shows a scrollbar to the right whereas only the div should have one (assuming the div fits in the Konq window :)

3. When changing the height of the div from an absolute size into '100%' the div becomes the body's height rather than the window's height. It could be that #2 fixes this as well. Also I'm not sure what the spec says about 100% height, but the behaviour in WinIE is to use the window's height.

All in all the overflow support is shaping up nicely, would be cool to have these last issues fixed in KDE 3.2 too though :)

Martijn
Comment 1 Martijn Klingens 2005-07-05 22:44:49 UTC
This testcase has been offline since I reinstalled my server, but it's back up again.

Using a KHTML trunk from a couple of weeks old the bugs #1 and #3 seem to be still there. #2 is fixed from a rendering perspective, but the mouse wheel doesn't work for scrolling the overflown div.
Comment 2 Florian Ehrenthal 2006-08-31 02:40:56 UTC
overflow-x / overflow-y are part of css3 which seems not to be implemented yet (as it's not really final yet?)
http://www.w3.org/TR/css3-box/#the-overflow-x
Comment 3 Allan Sandfeld 2006-11-13 00:34:54 UTC
The only issue missing here is overflow-x and overflow-y

The code is in WebKit, but is rather annoying to port.
Comment 4 Allan Sandfeld 2006-11-13 16:15:31 UTC
SVN commit 604643 by carewolf:

Implement overflow-x/y as many websites use it now.
FEATURE: 68291


 M  +14 -0     ChangeLog  
 M  +16 -2     css/css_renderstyledeclarationimpl.cpp  
 M  +2 -0      css/cssparser.cpp  
 M  +226 -218  css/cssproperties.c  
 M  +56 -54    css/cssproperties.h  
 M  +2 -0      css/cssproperties.in  
 M  +73 -7     css/cssstyleselector.cpp  
 M  +1 -1      khtml_caret.cpp  
 M  +21 -20    khtmlview.cpp  
 M  +1 -1      rendering/bidi.cpp  
 M  +10 -14    rendering/render_block.cpp  
 M  +4 -4      rendering/render_box.cpp  
 M  +11 -17    rendering/render_layer.cpp  
 M  +0 -1      rendering/render_layer.h  
 M  +1 -1      rendering/render_object.cpp  
 M  +4 -0      rendering/render_object.h  
 M  +5 -2      rendering/render_style.cpp  
 M  +15 -8     rendering/render_style.h  
Comment 5 Martijn Klingens 2006-11-13 16:30:48 UTC
You rock!

Thanks!

Martijn

Most people do not really want freedom, because freedom involves 
responsibility, and most people are frightened of responsibility.
   -Sigmund Freud

On Monday 13 November 2006 16:15, you wrote:
[bugs.kde.org quoted mail]